Subject: Re: linux-next: duplicate patches in the kspp and kbuild trees

From: Michal Marek <[email-masked]>
Date: Wed, 27 Jul 2016 09:52:16 +0200

On 2016-07-27 01:09, Kees Cook wrote:
> On Tue, Jul 26, 2016 at 3:19 PM, Michal Marek <[email-masked]> wrote:
>> Dne 14.6.2016 v 18:39 Kees Cook napsal(a):
>>> On Tue, Jun 14, 2016 at 7:13 AM, Stephen Rothwell <[email-masked]> wrote:
>>>> Hi Michal,
>>>>
>>>> On Tue, 14 Jun 2016 15:01:42 +0200 Michal Marek <[email-masked]> wrote:
>>>>>
>>>>> I won't :). Kees, are you going to keep the patch in your tree and send
>>>>> it to Linus once kbuild is in? Or shall I take it (which would
>>>>> temporarily result in another duplication...).
>>>>
>>>> Or Kees could send you a pull request ...
>>>
>>> My head hurts. :) How about this: since a pull request would (I think)
>>> end up pulling the other unrelated kspp patches, how about you take
>>> the patch into kbuild, and once it's there, I'll just remove it from
>>> my tree (since it's on top).
>>
>> Sorry, I forgot about this one. It's cherry-picked onto my kbuild branch
>> now.
> 
> Okay, no worries. I've removed it from my tree and merged your
> kbuild/for-next branch into my for-next/kspp branch.
> 
> Let me know once you've sent the kbuild/for-next pull request, and I
> can follow it up with the the entropy plugin pull request.

I actually send the individual branches of kbuild.git: "kbuild",
"kconfig" and "misc". for-next is just a convenience for linux-next
integration.

Michal